\name{nLogLik.trec.A}
\alias{nLogLik.trec.A}
\title{Negative log likelihood of an autosomal TReC only model.}
\description{
  Calculates negative log(likelihood) of an autosomal TReC only model at a given set of parameters
}
\usage{
nLogLik.trec.A(coef,phi,index,y,kappas,hessian=FALSE)}
\arguments{
  \item{coef}{parameters}
  \item{phi}{total read counts overdispersion}
  \item{index}{vector defining the cross of the mouse, AB_female=1,BA_female=2,AA_female=3,BB_female=4,AB_male=5,BA_male=6,AA_male=7,BB_male=8.
  If mice are of only one sex, AB=1,BA=2,AA=3,BB=4.}
  \item{y}{vector of total read counts}
  \item{kappas}{Offset parameter, given as overall TReC for the mouse.}
  \item{hessian}{a logical option whether to calculate a Hessian matrix, the default values is set to FALSE.}
}

\value{
  output - list(nll=-log.likelihood,hessian=hessian matrix)
}
\author{ Vasyl Zhabotynsky vasyl@unc.edu }
\keyword{ utilities }
