\name{nLogLik.trecase.X}
\alias{nLogLik.trecase.X}
\title{Negative log likelihood of an X chromosome joint TReC and ASE counts model.}
\description{
  Calculates negative log(likelihood) of an X chromosome joint TReC and ASE counts model at a given set of parameters
}
\usage{
nLogLik.trecase.X(coef,phi,theta,index,y,n,n0B,kappas,tausB,gene.switch=FALSE,hessian=FALSE)}
\arguments{
  \item{coef}{parameters}
  \item{phi}{total read counts overdispersion}
  \item{theta}{allele specific counts overdispersion}
  \item{index}{vector defining the cross of the mouse, AB_female=1,BA_female=2,AA_female=3,BB_female=4,AB_male=5,BA_male=6,AA_male=7,BB_male=8.
  If mice are of only one sex, AB=1,BA=2,AA=3,BB=4.}
  \item{y}{vector of total read counts}
  \item{n}{vector of allele specific counts for each mouse}  
  \item{n0B}{vector of allele specific counts for allele B}
  \item{kappas}{Offset parameter, given as overall TReC for the mouse.}
  \item{tausB}{\emph{Xce} effect: expression of allele B relative to the overall allele specific count for each mouse.}
  \item{gene.switch}{TRUE/FALSE to switch tausB to 1-tausB (for example, for \emph{Xist})}
  \item{hessian}{a logical option whether to calculate a Hessian matrix, the default values is set to FALSE.}
}

\value{
  output - list(nll=-log.likelihood,hessian=hessian matrix)
}
\author{ Vasyl Zhabotynsky vasyl@unc.edu }
\keyword{ utilities }
