\name{simRX}
\alias{simRX}
\title{Produce simulated counts}
\description{
  This function is producing simulated counts for the joint model with Negative-Binomial distribution for TReC and Beta-Binomial for ASE counts.
}
\usage{
simRX(b0f,b0m,b1f,b1m,beta_sex,beta_dom,beta_k=1,phi=1,theta=1,n=6,mean.base.cnt=50,range.base.cnt=60,perc.ase=.35,n.simu=1E4,is.X=FALSE,tauB=NULL,seed=NULL)}
\arguments{
  \item{b0f}{a female additive strain effect}  
  \item{b0m}{a male additive strain effect}  
  \item{b1f}{a female parent of origin effect}  
  \item{b1m}{a male parent of origin effect}  
  \item{beta_sex}{a sex effect}
  \item{beta_dom}{a dominance effect}
  \item{beta_k}{an effect associated with the library size kappas}
  \item{phi}{a Negative-Binomial overdispersion, default value is 1}
  \item{theta}{a Beta-Binomial overdispersion, default value is 1}
  \item{n}{a vector defining number of mice in each cross, default value is 6}
  \item{mean.base.cnt}{a target expected number of counts for the base group (with no effects), default value is 50}
  \item{range.base.cnt}{a range in which the expected number of counts  for the base group will vary, default value is 60}
  \item{perc.ase}{a percent reads that are allele-specific, default value is 35\%}
  \item{n.simu}{a number of simulations, default value is 1E4}
  \item{is.X}{a flag if the value to be simulated is X for chromosome (otherwise autosome), default value is FALSE}
  \item{tauB}{a value describing allelic imbalance - \emph{Xce} effect for the cross, default value is NULL, in which case 50\% will be simulated}
  \item{seed}{a random seed to be set, no set by default.}
}

\value{
  output - 3 matrices with one row - one gene, one column - one mouse: 
  \item{y}{Total read counts}
  \item{n}{Allele specific counts}
  \item{n0B}{Allele specific counts associated with allele B}
}
\author{ Vasyl Zhabotynsky vasyl@unc.edu }
\keyword{ utilities }
